package com.ruoyi.screen.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 大屏数据举报时间年度分类统计响应类
 */
@Data
@ApiModel("大屏数据举报时间年度分类统计响应类")
public class ZongzhiReportByYearResponse {

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer count;

    /**
     * 1.上级下发 2.部门转发 3.小程序 4无效
     */
    @ApiModelProperty(value = "1.上级下发 2.部门转发 3.小程序 4无效")
    private String source;

    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;




}
