package com.ruoyi.screen.domain.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 安全隐患响应类
 */
@Data
@ApiModel("安全隐患响应类")
public class ZongzhiSafetyHazardResponse {


    @ApiModelProperty(value = "数量")
    private Integer count;


    @ApiModelProperty(value = "隐患类型1.敏感信息泄露漏洞 2.权限许可和访问控制 3.未加密登录请求 4.应用程序测试脚本漏洞 5.文件上传漏洞 6.其他")
    private Integer type;


}
