package com.ruoyi.screen.mapper;

import com.ruoyi.screen.domain.response.*;

import java.util.List;

/**
 * 太仓综治网络管理数据层
 */
public interface ZongzhiScreenManageMapper {

    /**
     * 工作动态
     */
    public List<ZongzhiWorkDynamicsResponse> getWorkDynamics();


    /**
     * 工作动态数量统计
     */
    public int getWorkDynamicsCount();


    /**
     * 举报总数和处置率
     */
    public ZongzhiNetworkReportResponse getNetworkReport();


    /**
     * 请朗专项行动数据统计
     */
    public List<ZongzhiActionResponse> getaction();


    /**
     * 举报时间年度分类统计
     */
    public List<ZongzhiReportByYearResponse> getReportByYear();


    /**
     * 清朗专项行动动态
     */
    public List<ZongzhiActionDynamicstResponse> getActionDynamicst();

}
